// SendDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSendDialog dialog

class CSendDialog : public CDialog
{
// Construction
public:
	CStringArray m_parameters;
	CString m_program;
	void SendRequest();
	CSendDialog(SOCKET &socket, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSendDialog)
	enum { IDD = IDD_SEND };
	CButton	m_ok;
	CButton	m_remove;
	CEdit	m_programEdit;
	CDragListBox	m_parameterList;
	CButton	m_edit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSendDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSendDialog)
	afx_msg void OnAdd();
	afx_msg void OnUpdateOK();
	afx_msg void OnEdit();
	afx_msg void OnSelchangeParameters();
	afx_msg void OnRemove();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	SOCKET & m_socket;
};
